Company logoTrust Center Documentation
API v1 ReferenceIntegrationsGoogle docsSync

Trigger Google Docs manual sync

Starts a manual incremental sync for the tenant's Google Docs connection. Emits eventName `integrations.google_docs.manual_sync` and failureEventName…

Starts a manual incremental sync for the tenant's Google Docs connection. Emits eventName integrations.google_docs.manual_sync and failureEventName integrations.google_docs.manual_sync_failed.

POST
/api/v1/integrations/google-docs/sync

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/google-docs/sync" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "success": true
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty

How is this guide?